Contents

# Invoking KDbg from the command line

    Usage: kdbg [options] [program] [core]
    A Debugger

    Options:
      -h, --help                 Displays this help.
      -v, --version              Displays version information.
      --author                   Show author information.
      --license                  Show license information.
      --desktopfile <file name>  The base file name of the desktop entry for this
                                 application.
      -t <file>                  transcript of conversation with the debugger
      -r <device>                remote debugging via <device>
      -l <language>              specify language: C
      -a <args>                  specify arguments of debugged executable
      -p <pid>                   specify PID of process to debug

    Arguments:
      [program]                  path of executable to debug
      [core]                     a core file to use